<material-button
  raised
  popupSource
  #source="popupSource"
  (trigger)="visible = !visible"
>
  Filter
</material-button>
<material-popup
  [source]="source"
  [(visible)]="visible"
  [enforceSpaceConstraints]="true"
  [preferredPositions]="[RelativePosition.AdjacentLeftTop, RelativePosition.AdjacentLeftBottom]"
>
  <div *ngIf="entries != null" class="option-dialog">
    <form [ngFormModel]="forming" (ngSubmit)="apply()">
      <div *ngFor="let entry of entries">
        <div [ngSwitch]="entry.type">
          <div *ngSwitchCase="FilterType.selection" class="selection">
            <div class="label">{{entry.id}}:</div>
            <material-dropdown-select
              [buttonText]="buttonTextFor(entry.id)"
              [options]="entry.options"
              [ngControl]="entry.id"
            >
            </material-dropdown-select>
          </div>

          <div *ngSwitchCase="FilterType.number" class="number">
            <div class="label">{{entry.id}}:</div>
            <range-slider
              [value]="entry.options"
              [limit]="entry.options"
              [ngControl]="entry.id"
            >
            </range-slider>
          </div>

          <div *ngSwitchCase="FilterType.toggle">
            <material-toggle [ngControl]="entry.id">
              <!-- [checked]="entry.value" -->
            </material-toggle>
          </div>
        </div>
      </div>
      <div style="text-align: right; padding-top: 8px">
        <material-button raised class="blue" (trigger)="apply()">
          Apply Filter
        </material-button>
      </div>
    </form>
  </div>
</material-popup>
